Skip to content

List scheduled payments - V1

GET
/order/v1/banking/subscriptions/{id}/payments
  List scheduled payments for a subscription.

  

NOTE: Please, to authenticate use the scope: “api://app-order-hml”

id
required
string

The subscription ID (UUID)

limit
number
default: 20 >= 1 <= 5000

Maximum number of items returned in the current page (default 20, max 5000)

sort
string
default: desc
Allowed values: asc desc

Direction of the sort (default: desc)

cursor
string

Cursor used for pagination. Omit this field in the first request. For subsequent requests, set it to the nextCursor value returned in the previous response.

createdAt
string

Filter by creation date (YYYY-MM-DD)

Example
2025-01-15
dueDate
string

Filter by due date (YYYY-MM-DD)

Example
2025-02-10
status
string
Allowed values: INITIAL PENDING ACCEPTED REJECTED COMPLETED ERROR CANCELED CANCELED_INSUFFICIENT_BALANCE

The status of scheduled payment

Example
ACCEPTED
accountId
string

Filter by account ID of the receiver

Example
48890892-c47a-4dd3-b488-07e36a4e5cec

The resource was returned successfully

object
limit

The maximum number of records returned in the current page. Corresponds to the limit value provided in the request.

number
Example
20
sort

Defines the sorting direction applied to the results. Allowed values: “asc” — ascending order, “desc” — descending order (default)

string
Allowed values: asc desc
Example
desc
nextCursor

A cursor value representing the timestamp of the last item returned in the current page. This value must be provided as the cursor parameter in the next request to continue retrieving results.

string
Example
2025-01-01T10:00:00Z
hasNext
required

Indicates whether additional pages of data are available.

boolean
Example
true
data
required

The array of scheduled payments

Array<object>
object
id
required

The unique id of the scheduled payment

string
Example
7cb87bb9-2505-4e51-b386-397b7103f608
subscriptionId
required

The id of the subscription

string
Example
9cfd0732-32da-4191-9edb-79f653884bad
status
required

The status of the schedules payment

string
Allowed values: INITIAL PENDING ACCEPTED REJECTED COMPLETED ERROR CANCELED CANCELED_INSUFFICIENT_BALANCE
Example
ACCEPTED
idempotencyKey
required

The unique idempotency key of the scheduled payment

string
Example
810d8227-cd84-4548-842c-3b5d02bdd99d
purpose
required

The purpose of the scheduled payment

string
Allowed values: FIRST_ATTEMPT NEW_ATTEMPT_AFTER_DUE_DATE RESEND_DUE_TO_SETTLEMENT_ERROR
Example
FIRST_ATTEMPT
dueDate
required

The due date of the scheduled payment in ISO 8601 format (YYYY-MM-DD). Example: 2025-02-10

string
Example
2025-02-10
amount
required

The amount object of the scheduled payment

object
currency
required

The currency field.

string
Example
BRL
value
required

The value field.

string
Example
10.95
description

A optional description of the scheduled payment

string
Example
Scheduled monthly subscription payment
createdAt
required

The created of the scheduled payment in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-15T10:00:00Z

string
Example
2025-01-15T10:00:00Z
updatedAt

The updated at of the scheduled payment in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-20T14:45:00Z

string
Example
2025-01-20T14:45:00Z
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
FORBIDDEN_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]

Resource not found

object
error
string
Example
NOT_FOUND
message
string
Example
Resource not found
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]